package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingFjInfo;
import com.jiayue.ipp.idp.service.an.ParsingFjInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingFjController")
public class ParsingFjController {
    @Autowired
    ParsingFjInfoService parsingFjInfoService;

    @ApiOperation(value = "添加Fj配置", notes = "添加Fj配置")
    @PostMapping()
    public R add(@RequestBody ParsingFjInfo parsingFjInfo) {
        if (parsingFjInfoService.save(parsingFjInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改Fj配置", notes = "修改Fj配置")
    @PutMapping()
    public R update(@RequestBody ParsingFjInfo parsingFjInfo) {
        if (parsingFjInfoService.updateById(parsingFjInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除Fj配置", notes = "根据id删除Fj配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingFjInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询Fj配置", notes = "分页查询Fj配置")
    @GetMapping("/page")
    public R page(ParsingFjInfo parsingFjInfo, Page page) {
        return R.ok(parsingFjInfoService.page(page, Wrappers.query(parsingFjInfo)));
    }
}
